Description

Hello,

Where we want to use Foreman each server gets its own VLAN and subnet and we do DHCP relay on the switch port to

foreman-proxy.

The problem we encounter is that subnets we add (so new hosts can use them) do not appear in the dhcpd.conf. If I create entries

for these subnets manually then it all seems to work smoothly.

I know Dominic is trying to work on a fix

1

, but either I did not apply it correctly, or it doesn't work, in the end dhcpd.conf was still

untouched.

It would be fairly simple to create a bash script and dump foreman.subnets into dhcpd.conf, but it would be quite ugly.

Suggestions?

I'm on CentOS 7 and Foreman 1.7.2 installed via foreman-installer.

[1] https://github.com/theforeman/puppet-dhcp/pull/31

Related issues:

Related to Installer - Feature #4994: create a subnet in foreman once a dhcp ... New 04/01/2014

Related to Foreman - Feature #23180: Add info box on New Subnet page about co... New 04/09/2018

Has duplicate Foreman - Feature #11151: have Foreman web ui edit dhcpd.conf a... Duplicate 07/19/2015

History

#1 - 02/09/2015 03:48 AM - Dominic Cleal

- Tracker changed from Bug to Feature

- Subject changed from Subnets do not get an entry in the DHCPD configuration and are hence unusable to Manage DHCP server configured subnets

- Priority changed from High to Normal

#2 - 02/09/2015 03:48 AM - Dominic Cleal

- Related to Feature #4994: create a subnet in foreman once a dhcp server is configured added

#3 - 07/20/2015 04:30 AM - Dominic Cleal

- Has duplicate Feature #11151: have Foreman web ui edit dhcpd.conf automatically when adding a subnet added

#4 - 07/20/2015 04:49 AM - Marek Hulán

I agree that syncing subnets is an interesting addition. IMHO before we start working on that we should refactor existing orchestration so it's more

reliable and we should introduce some unified way of having things "managed". The managed flag on host and interface already covers multiple

things so having some "sync" kind of flag for all objects that runs orchestration would make sense to me.

#5 - 04/10/2018 06:06 AM - Marek Hulán

- Related to Feature #23180: Add info box on New Subnet page about config change added
